<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'marius',

    /*
     * Package.
     */
    'package'   => 'real_estate1.0',

    /*
     * Modules.
     */
    'modules'   => ['ad_prop'],

    
    'ad_prop'       => [
        'model' => [
            'model'                 => \Marius\RealEstate1.0\Models\AdProp::class,
            'table'                 => 'ad_props',
            'presenter'             => \Marius\RealEstate1.0\Repositories\Presenter\AdPropPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'ad_title',  'ad_slug',  'ad_state',  'ad_city',  'ad_address',  'ad_listning_type',  'ad_ad_type',  'ad_rez',  'ad_com',  'ad_desc',  'ad_video',  'ad_bedroom',  'ad_bathroom',  'ad_reception',  'ad_carpark',  'ad_barbakue',  'ad_bcenter',  'ad_plg',  'ad_caf',  'ad_sal',  'ad_clb',  'ad_cov',  'ad_sqq',  'ad_gymnasyum',  'ad_swpo',  'ad_jac',  'ad_wpool',  'ad_jgtrk',  'ad_tencr',  'ad_minmark',  'ad_24hsec',  'ah',  'added',  'uaid',  'ad_status',  'images',  'PRIMARY',  'id)'],
            'translatables'         => [],
            'upload_folder'         => 'real_estate1.0/ad_prop',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Marius',
            'package'   => 'RealEstate1.0',
            'module'    => 'AdProp',
        ],

    ],
];
