<?php

namespace Marius\RealEstate1.0\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdPropTransformer extends TransformerAbstract
{
    public function transform(\Marius\RealEstate1.0\Models\AdProp $ad_prop)
    {
        return [
            'id'                => $ad_prop->getRouteKey(),
            'key'               => [
                'public'    => $ad_prop->getPublicKey(),
                'route'     => $ad_prop->getRouteKey(),
            ], 
            'id'                => $ad_prop->id,
            'ad_title'          => $ad_prop->ad_title,
            'ad_slug'           => $ad_prop->ad_slug,
            'ad_state'          => $ad_prop->ad_state,
            'ad_city'           => $ad_prop->ad_city,
            'ad_address'        => $ad_prop->ad_address,
            'ad_listning_type'  => $ad_prop->ad_listning_type,
            'ad_ad_type'        => $ad_prop->ad_ad_type,
            'ad_rez'            => $ad_prop->ad_rez,
            'ad_com'            => $ad_prop->ad_com,
            'ad_desc'           => $ad_prop->ad_desc,
            'ad_video'          => $ad_prop->ad_video,
            'ad_bedroom'        => $ad_prop->ad_bedroom,
            'ad_bathroom'       => $ad_prop->ad_bathroom,
            'ad_reception'      => $ad_prop->ad_reception,
            'ad_carpark'        => $ad_prop->ad_carpark,
            'ad_barbakue'       => $ad_prop->ad_barbakue,
            'ad_bcenter'        => $ad_prop->ad_bcenter,
            'ad_plg'            => $ad_prop->ad_plg,
            'ad_caf'            => $ad_prop->ad_caf,
            'ad_sal'            => $ad_prop->ad_sal,
            'ad_clb'            => $ad_prop->ad_clb,
            'ad_cov'            => $ad_prop->ad_cov,
            'ad_sqq'            => $ad_prop->ad_sqq,
            'ad_gymnasyum'      => $ad_prop->ad_gymnasyum,
            'ad_swpo'           => $ad_prop->ad_swpo,
            'ad_jac'            => $ad_prop->ad_jac,
            'ad_wpool'          => $ad_prop->ad_wpool,
            'ad_jgtrk'          => $ad_prop->ad_jgtrk,
            'ad_tencr'          => $ad_prop->ad_tencr,
            'ad_minmark'        => $ad_prop->ad_minmark,
            'ad_24hsec'         => $ad_prop->ad_24hsec,
            'ah'                => $ad_prop->ah,
            'added'             => $ad_prop->added,
            'uaid'              => $ad_prop->uaid,
            'ad_status'         => $ad_prop->ad_status,
            'images'            => $ad_prop->images,
            'PRIMARY'           => $ad_prop->PRIMARY,
            'id)'               => $ad_prop->id),
            'url'               => [
                'public'    => trans_url('real_estate1.0/'.$ad_prop->getPublicKey()),
                'user'      => guard_url('real_estate1.0/ad_prop/'.$ad_prop->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ad_prop->status),
            'created_at'        => format_date($ad_prop->created_at),
            'updated_at'        => format_date($ad_prop->updated_at),
        ];
    }
}